summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAndrew Fyfe <andrew@neptune-one.net>2007-10-19 02:18:01 +0200
committerDan McGee <dan@archlinux.org>2007-10-19 02:28:02 +0200
commit12e134625286be8d86f824ce2f73d1a96ac0b547 (patch)
tree685d098114dde0380e91f4f20e5ae8df233d69ff /scripts
parent0ff02995f169d460d60a9512d7fa8257c74ed8f4 (diff)
downloadpacman-12e134625286be8d86f824ce2f73d1a96ac0b547.tar.gz
pacman-12e134625286be8d86f824ce2f73d1a96ac0b547.tar.xz
scripts/makepkg.sh.in: Strip bins/libs in all {bin, sbin, lib} directories.
In one of the original clean up patches[1] I changed the search path for stripping binaries and libraries. This resulted in only usr/{bin,sbin,lib} being searched. This patch reverts that change. [1] 721ceee1e2c9b18425d84cf39f6541b2f04072b3 Signed-off-by: Andrew Fyfe <andrew@neptune-one.net>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 4399076b..df6c92e3 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -736,7 +736,7 @@ tidy_install() {
if [ "$(check_option strip)" = "y" ]; then
msg2 "$(gettext "Stripping debugging symbols from binaries and libraries...")"
- for file in $(find {,*/}{bin,lib,sbin} -type f 2>/dev/null || true); do
+ for file in $(find {,usr/{,local/},opt/}{bin,lib,sbin} -type f 2>/dev/null || true); do
case "$(file -biz "$file")" in
*application/x-sharedlib*) # Libraries
/usr/bin/strip --strip-debug "$file";;